# Het handboek van &amarok;

Mike
Diehl

    madpenguin8@yahoo.com

Het ontwikkelaarsteam van amaroK
Ontwikkelaars

&Rinse.Devries;
2005
Het ontwikkelaarsteam van amaroK
&FDLNotice;
2005-01-02
2.1

&amarok; is een audiospeler voor de K Desktop Environment.

KDE
multimedia
speler
audio
ogg
mp3
wav
muziek
geluid

## Inleiding

Logo

&amarok; is de audiospeler voor &kde;. &amarok; is een zeer complete audiospeler die zowel krachtig als ook eenvoudig in gebruik is.

Verdwaalt u ook altijd in eindeloze menu's om muziek aan uw afspeellijst toe te voegen? Met &amarok; kunt u gewoon muziek naar de afspeellijst toe slepen. Of wilt u een bepaald nummer opzoeken in de duizenden uit uw verzameling? &amarok;'s collectiebrowser met bijhorende zoekbalk helpt u om het nummer te vinden in slechts enkele seconden.

&amarok; bevat dus dezelfde functies die u in doorsnee audiospelers tegenkomt, maar gaat nog verder. Een blik op de contextbrowser vertelt u waarom &amarok; de concurrentie een stap voor is. De contextbrowser heeft een database die continu wordt bijgewerkt om u te voorzien van constant bijgewerkte statistieken over uw afspeellijst. De contextbrowser kan ook een afbeelding van de albumhoes tonen.

Hebt u al meerdere afspeellijsten, maar kunt u nooit beslissen welke u wilt gebruiken? Dan is de afspeellijstbrowser ideaal voor u. Het laden van uw opgeslagen afspeellijsten in de afspeellijstbrowser is zo gemakkelijk als een enkele toetsaanslag.

Naast aRts biedt &amarok; nu ook ondersteuning voor de geluidsservers GStreamer, NMM en Xine. Dit maakt het programma tot een van de meest geavanceerde audiospelers voor &kde;. &amarok; is intelligent, sexy en slim. Probeer het vandaag nog uit!

&amarok-quick;

&amarok-config;

&amarok-using;

&amarok-advanced;

&amarok-faq;

## Dankbetuigingen en licentie

Programma copyright 2003-2004 Mark Kretschmann markey@web.de en het AmaroK-team.

### Het amaroK-team

- Christian babe-magnet Muehlhaeuser chris@chris.de

- Frederik ich bin kein Deustcher! Holljen fh@ez.no

- Mark it's good, but it's not irssi Kretschmann markey@web.de

- Max Turtle-Power Howell max.howell@methylblue.com

- Mike purple is not girly! Diehl madpenguin8@yahoo.com

- Pierpaolo Spaghetti Coder Di Panfilopippo_dp@libero.it

- Roman and God said, let there be Mac Becker roman@formmorf.de

- Stanislav did someone say DCOP? Karchebny Stanislav.Karchebny@kdemail.net

- Stefan MacroMolecularMooModeler Bogner (tester, patches, vertaling) bochi@online.ms

### Met bijdragen van:

- Adam Pigg (analyzes, patches) adam@piggz.fsnet.co.uk

- Adeodato Simo (patches) asp16@alu.ua.es

- Andreas Mair (MySql-ondersteuning) am_ml@linogate.com

- Dan Leinir Turthra Jensen (first run wizard) admin@removeleinir.dk

- Enrico Ros (analyzes, koning der openGL) eros.kde@email.it

- Jarkko Lehti (tester) grue@iki.fi

- Josef Spillner (KDE RadioStation-code) spillner@kde.org

- Kenneth Wesley Wimer II (pictogrammen) kwwii@bootsplash.org

- Melchior Franz (nieuwe FFT-routine, bugreparaties) mfranz@kde.org

- Michael Pyne (K3B exportcode) michael.pyne@kdemail.net

- Nenad Grujicic (opstartscherm voor 1.1) mchitman@neobee.net

- Olivier Bédard (websitehosting) paleo@pwsp.net

- Roland Gigler (MAS-engine) michael.pyne@kdemail.net

- Sami Nieminen (Audioscrobbler-ondersteuning) sami.nieminen@iki.fi

- Scott Wheeler (TagLib) wheeler@kde.org

- Seb Ruiz (OSD-verbeteringen, patches, tests) seb100@optusnet.com.au

- Whitehawk Stormchaser (tester, patches) zerokode@gmx.net

Documentatie copyright 2004 Mike Diehl madpenguin8@yahoo.com

&underFDL; &underGPL;

&amarok-req;

## Installatie

### Hoe u &amarok; kunt verkrijgen

&amarok; kan worden gedownload van de &amarok;-website.

De laatste ontwikkelaarsversie kan worden opgehaald uit &kde;'s cvs, module kdeextragear-1.

#### Hoe u &amarok; kunt compileren

Om amaroK op uw computer te compileren en installeren, typ het volgende in in de basismap van de amaroK-distributie:

`./configure --prefix=`kde-config --prefix``

`make`

`su -c "make install"`

Het configuratie-argument --enable final wordt niet langer ondersteund.

Omdat &amarok; gebruik maakt van autoconf en automake zult u geen problemen ondervinden bij het compileren ervan. Mocht u toch problemen tegenkomen, meldt ze dan op de &kde;-mailinglists.

#### Configure-opties

Net als veel andere programma's heeft &amarok; veel compileeropties die u bij het commando ./configure kunt activeren of deactiveren. Dit is een lijst van deze opties.

Enkele compileeropties zijn afhankelijk van andere programma's. Zie de sectie Vereisten voor meer informatie.

Optie | Standaard | Beschrijving
--- | --- | ---
--enable-debug= | no | Debug-symbolen activeren. Kies uit yes of no en full. Gebruik de optie full als u van plan bent om mee te helpen bij het ontwikkelen van &amarok;.
--enable-mysql | Uitgeschakeld | Activeert de ondersteuning voor MySQL-databases in &amarok;
--disable-amazon | Ingeschakeld | Deactiveert de mogelijkheid om hoezen van Amazon's webservers te downloaden
--without-arts | Met | Deactiveert de ondersteuning voor aRts in &amarok;
--without-gstreamer | Met | Deactiveert de ondersteuning voor GStreamer in &amarok;
--without-xine | Met | Deactiveert de ondersteuning voor Xine in &amarok;
--with-nmm | Zonder | Activeert ondersteuning voor NNM in &amarok;
--with-mas | Zonder | Activeert ondersteuning voor MAS in &amarok;
--without-opengl | Met | Deactiveert de ondersteuning voor OpenGL (analyzer of ontleder) uit &amarok;
--without-included-sqlite | Met | Er wordt geen gebruik gemaakt van de ingesloten sqlite-bronnen (heeft sqlite nodig)

&documentation.index;